Программа: HB-NS 1.1.6, возможно другие версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение и
выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в
параметрах "topic" и "id" сценария index.php. Удаленный пользователь может с
помощью специально сформированного URL выполнить произвольные SQL команды в базе
данных приложения. Удачная эксплуатация уязвимости возможна при выключенной
опции "magic_quotes_gpc".

2. Уязвимость существует из-за недостаточной обработки входных данных в
параметрах "poster_name", "poster_email", "poster_homepage" и "message".
Удаленный пользователь может с помощью специально сформированного запроса
выполнить произвольный код сценарий в браузере жертвы в контексте безопасности
уязвимого сайта.
 



Оставить мнение